Permalink
Switch branches/tags
Nothing to show
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
84 lines (79 sloc) 3.06 KB
# Generated by jeweler
# DO NOT EDIT THIS FILE
# Instead, edit Jeweler::Tasks in Rakefile, and run `rake gemspec`
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{casrack_the_authenticator}
s.version = "1.6.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["James Rosen"]
s.date = %q{2009-09-23}
s.description = %q{CAS Authentication via Rack Middleware}
s.email = %q{james.a.rosen@gmail.com}
s.extra_rdoc_files = [
"README.rdoc"
]
s.files = [
".gitignore",
"README.rdoc",
"Rakefile",
"VERSION",
"casrack_the_authenticator.gemspec",
"developer_tasks/doc.rake",
"developer_tasks/gem.rake",
"developer_tasks/test.rake",
"features/fake.feature",
"features/require_cas.feature",
"features/simple.feature",
"features/step_definitions/fake_cas_steps.rb",
"features/step_definitions/rack_steps.rb",
"features/support/assertions.rb",
"features/support/rack_support.rb",
"lib/casrack_the_authenticator.rb",
"lib/casrack_the_authenticator/configuration.rb",
"lib/casrack_the_authenticator/fake.rb",
"lib/casrack_the_authenticator/require_cas.rb",
"lib/casrack_the_authenticator/service_ticket_validator.rb",
"lib/casrack_the_authenticator/simple.rb",
"test/configuration_test.rb",
"test/fake_test.rb",
"test/service_ticket_validator_test.rb",
"test/simple_test.rb",
"test/test_helper.rb"
]
s.homepage = %q{http://github.com/gcnovus/casrack_the_authenticator}
s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "Casrack the Authenticator: RDoc", "--charset", "utf-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.3}
s.summary = %q{CAS Authentication via Rack Middleware}
s.test_files = [
"test/configuration_test.rb",
"test/fake_test.rb",
"test/service_ticket_validator_test.rb",
"test/simple_test.rb",
"test/test_helper.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<nokogiri>, ["~> 1.3.2"])
s.add_development_dependency(%q<thoughtbot-shoulda>, ["~> 2.10.2"])
s.add_development_dependency(%q<jferris-mocha>, ["~> 0.9.7"])
s.add_development_dependency(%q<redgreen>, ["~> 1.2.2"])
s.add_development_dependency(%q<rack>, ["~> 1.0.0"])
else
s.add_dependency(%q<nokogiri>, ["~> 1.3.2"])
s.add_dependency(%q<thoughtbot-shoulda>, ["~> 2.10.2"])
s.add_dependency(%q<jferris-mocha>, ["~> 0.9.7"])
s.add_dependency(%q<redgreen>, ["~> 1.2.2"])
s.add_dependency(%q<rack>, ["~> 1.0.0"])
end
else
s.add_dependency(%q<nokogiri>, ["~> 1.3.2"])
s.add_dependency(%q<thoughtbot-shoulda>, ["~> 2.10.2"])
s.add_dependency(%q<jferris-mocha>, ["~> 0.9.7"])
s.add_dependency(%q<redgreen>, ["~> 1.2.2"])
s.add_dependency(%q<rack>, ["~> 1.0.0"])
end
end